WordPress.org

Ready to get started?Download WordPress

Forums

Keyring Social Importers
Flickr Importer needs SSL (6 posts)

  1. cmaverick
    Member
    Posted 1 month ago #

    Love the idea of this plugin. The issue I'm having is as follows: On import I get this error:

    We got an unknown error back from Flickr. This is what they said.
    {"stat":"fail", "code":95, "message":"SSL is required"}

    Obviously their API is looking for SSL, but we're not sending it. Is there an easy fix?

    https://wordpress.org/plugins/keyring-social-importers/

  2. Beau Lebens
    Member
    Plugin Author

    Posted 1 month ago #

    Try downloading the trunk version of the plugin, which has been updated with the SSL endpoints; I just haven't gotten around to tagging a new release.

    You can get it here: http://downloads.wordpress.org/plugin/keyring-social-importers.zip

  3. cmaverick
    Member
    Posted 1 month ago #

    Nope, tried it with 1.4.1. and no dice. I get the same error code:

    We got an unknown error back from Flickr. This is what they said.
    {"stat":"fail", "code":95, "message":"SSL is required"}

  4. Beau Lebens
    Member
    Plugin Author

    Posted 1 month ago #

    The version that has the HTTPS changes in it is not actually tagged as a version yet -- you will need to manually download from the link provided above and upload/install that on your site to see if it works. I'm running that version on my own site and it's working fine currently.

  5. cmaverick
    Member
    Posted 1 month ago #

    that's what I mean. I manually downloaded it from that link. It reported itself as v.1.4.1 and it didn't work for me. Is the link right?

  6. Beau Lebens
    Member
    Plugin Author

    Posted 1 month ago #

    Yep, that link appears to be correct (and gives me the correct version).

    Can you try also installing the trunk version of Keyring (http://downloads.wordpress.org/plugin/keyring.zip) to make sure that's fully up to date?

    I've got both of those running and they're working fine for me.

    It's probably worth going to Tools > Keyring and deleting any Flickr connections you have, then creating a new one via that UI first (or when you go back to Tools > Import > Flickr it'll ask you to create a new one anyway).

    Hopefully with everything updated it'll work for you as well.

Reply

You must log in to post.

About this Plugin

About this Topic